import { Extension } from '@codemirror/state';
import { HighlightedCypherTokenTypes } from './constants';
export interface ThemeOptions {
    dark: boolean;
    editorSettings: {
        background: string;
        foreground: string;
        gutterForeground: string;
        cursor: string;
        selection: string;
        textMatchingSelection: string;
        searchPanel: {
            background: string;
            text: string;
            buttonHoverBackground: string;
        };
        autoCompletionPanel: {
            selectedColor: string;
            backgroundColor: string;
            matchingTextColor: string;
        };
    };
    highlightStyles: Partial<Record<HighlightedCypherTokenTypes, string>>;
    inheritBgColor?: boolean;
}
export declare const createCypherTheme: ({ dark, editorSettings: settings, highlightStyles, inheritBgColor, }: ThemeOptions) => Extension;
